diff -Nru cba-0.3.6/debian/changelog cba-0.3.6/debian/changelog
--- cba-0.3.6/debian/changelog	2011-03-16 03:55:47.000000000 +1300
+++ cba-0.3.6/debian/changelog	2014-06-06 13:23:40.000000000 +1200
@@ -1,3 +1,10 @@
+cba (0.3.6-4.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Update to use wxWidgets 3.0. (Closes: #742576)
+
+ -- Olly Betts <olly@survex.com>  Fri, 06 Jun 2014 13:23:31 +1200
+
 cba (0.3.6-4) unstable; urgency=low
 
   * added -lm for binutils-gold in src/gui/Makefile (Closes: #601806,#615700) 
diff -Nru cba-0.3.6/debian/control cba-0.3.6/debian/control
--- cba-0.3.6/debian/control	2010-07-30 21:55:51.000000000 +1200
+++ cba-0.3.6/debian/control	2014-03-19 22:38:22.000000000 +1300
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ferdinand Griffon <idf.dresden@gmx.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), libwxgtk2.8-dev
+Build-Depends: debhelper (>= 7.0.50~), libwxgtk3.0-dev
 Standards-Version: 3.9.1
 Homepage: http://cbeam.sourceforge.net
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cba.git
diff -Nru cba-0.3.6/debian/patches/series cba-0.3.6/debian/patches/series
--- cba-0.3.6/debian/patches/series	2011-03-16 03:56:27.000000000 +1300
+++ cba-0.3.6/debian/patches/series	2014-03-25 18:26:55.000000000 +1300
@@ -1 +1,2 @@
 debian-changes-0.3.6-4
+wx3.0-compat.patch
diff -Nru cba-0.3.6/debian/patches/wx3.0-compat.patch cba-0.3.6/debian/patches/wx3.0-compat.patch
--- cba-0.3.6/debian/patches/wx3.0-compat.patch	1970-01-01 12:00:00.000000000 +1200
+++ cba-0.3.6/debian/patches/wx3.0-compat.patch	2014-03-25 18:27:31.000000000 +1300
@@ -0,0 +1,22 @@
+Description: Fix to ignore assertions from wxWidgets 3.0
+ Define NDEBUG to disable wxWidgets 3.0 debug mode to avoid a lot of assertion
+ failed dialogs.  While it would be better to actually fix the causes of
+ these, if NDEBUG is defined, then these conditions are handled quietly, just
+ like wxWidgets 2.8 did by default.
+Author: Olly Betts <olly@survex.com>
+Last-Update: 2014-03-25
+
+--- cba-0.3.6.orig/src/gui/Makefile
++++ cba-0.3.6/src/gui/Makefile
+@@ -1,6 +1,10 @@
+ # makefile for cba-gtk
+ CXX	:= gcc
+-CXXFLAGS := `wx-config --cflags` -Wall -g -Os 
++# Define NDEBUG to disable wxWidgets 3.0 debug mode to avoid a lot of assertion
++# failed dialogs.  While it would be better to actually fix the causes of
++# these, if NDEBUG is defined, then these conditions are handled quietly, just
++# like wxWidgets 2.8 did by default.
++CXXFLAGS := `wx-config --cflags` -Wall -g -Os -DNDEBUG
+ LDFLAGS := `wx-config --libs` -s -lstdc++ -lm
+ 
+ SRCDIR=$(CURDIR)
